Subject: bug#5604: closed (Re: bug#5604: 23.1; Two problems in emacs23)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 11 Jul 2011 21:33:02 +0000

Your bug report

#5604: highlight completion problem

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
5604: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5604
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5604: 23.1; Two problems in emacs23
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Mon, 11 Jul 2011 17:32:31 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

This bug is being closed because it could not be reproduced and there
was no response to a request for more information.
If you still see the problem with the latest Emacs release, 23.3,
please reply with the requested information and it can be reopened if needed.

You can view the whole report at http://debbugs.gnu.org/BUGNUMBER

Glenn Morris wrote:

> This is already fixed. Try the trunk from
>
> http://savannah.gnu.org/projects/emacs/
>
> or the 23.2 pretest from
>
> http://alpha.gnu.org/gnu/emacs/pretest/emacs-23.1.92.tar.gz
>
>> The second problem is caused from option:
>> (highlight-completion-mode t nil (highlight-completion)) 
>> C-x C-f failes with message                                         
>> hc-expand-file-name: Wrong type argument: stringp, nil
>
> Details are lacking, but this appears to be a problem with "highlight
> completion" from http://www.math.washington.edu/~palmieri/Emacs/hlc.html.
> Since this isn't part of Emacs, please explain exactly how to
> reproduce the error, starting from `emacs -Q'.

Subject: 23.1; Two problems in emacs23
From: [email-masked]
To: [email-masked]
Date: Fri, 19 Feb 2010 18:57:46 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello. I encountered two problems when moving from emacs22 to emacs23.
The first one concernes the js2 javascript mode distributed from:
http://code.google.com/p/js2-mode
If the mode is enabled, the following is printed from the debuger:
Debugger entered--Lisp error: (error "`c-lang-defconst' must be used in a file"\
)
  signal(error ("`c-lang-defconst' must be used in a file"))
  error("`c-lang-defconst' must be used in a file")
  c-define-lang-constant(c-mode-menu ((t cons ["Comment Out Region" comment-reg\
ion ...]4(cons ["Uncomment Region" ... ...] ...))))
=c7=c6!\204  require(cc-langs)
  byte-code("=c2=c3!\210=c2=c4!\210=c2=c5                                             

Perhaps the problem is in js2 and not in emacs. Note however that the
mode was functioning fine for emacs22.

The second problem is caused from option:
(highlight-completion-mode t nil (highlight-completion)) 
C-x C-f failes with message                                         
hc-expand-file-name: Wrong type argument: stringp, nil

I rather liked this feature. I hope the problem is resolved.

In GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.18.2)
 of 2009-11-02 on raven, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.10704000
configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  show-paren-mode: t
  iswitchb-mode: t
  global-hl-line-mode: t
  desktop-save-mode: t
  delete-selection-mode: t
  auto-insert-mode: t
  display-time-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
C-x k <return> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <menu-bar> <help-menu> 
<send-emacs-bug-report>

Recent messages:
WARNING from msf-abbrev.el:  no abbrev table shell-mode-abbrev-table and no hook shell-mode-hook, abbrevs for mode shell-mode will not be loaded
Loading autoinsert...done
Loading delsel...done
Loading desktop...done
Loading hl-line...done
Loading iswitchb...done
Loading paren...done
Wrote /home/anakreon/.emacs.desktop.lock
Desktop: 2 buffers restored.
For information about GNU Emacs and the GNU system, type C-h C-a.